searchable.searchsequence

## Class DirSelSortedSearchSequenceFactory

- java.lang.Object
- - searchable.searchsequence.DirSelSortedSearchSequenceFactory

- All Implemented Interfaces:
    SearchableFactory, SearchableWithMedianFactory

      public class DirSelSortedSearchSequenceFactory
      extends java.lang.Object
      implements SearchableFactory, SearchableWithMedianFactory

  Továrna na vyhledávací posloupnosti seřazné přímým výběrem.

  Užití: instance této třídy lze používat v aplikacích.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private SortableSequenceFactory` | `sequenceFactory` továrna na seřaditelné posloupnosti

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DirSelSortedSearchSequenceFactory(SortableSequenceFactory aSequenceFactory)` Vyrobí továrnu na vyhledávací posloupnosti seřazené přímým výběrem.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Searchable` | `createSearchable(int size)` Vyrobí vyhledávací strukturu.
    `SearchableWithMedian` | `createSearchableWithMedian(int size)` Vyrobí vyhledávací strukturu vhodnou k hledání mediánu.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sequenceFactory

          private SortableSequenceFactory sequenceFactory

      továrna na seřaditelné posloupnosti

  - ### Constructor Detail

    - #### DirSelSortedSearchSequenceFactory

          public DirSelSortedSearchSequenceFactory(SortableSequenceFactory aSequenceFactory)

      Vyrobí továrnu na vyhledávací posloupnosti seřazené přímým výběrem.
      Parameters:
        `aSequenceFactory` - továrna na seřaditelné posloupnosti

  - ### Method Detail

    - #### createSearchable

          public Searchable createSearchable(int size)

      Description copied from interface: `SearchableFactory`
      Vyrobí vyhledávací strukturu. Konkrétní podtyp je věcí implementace.
      Specified by:
        `createSearchable` in interface `SearchableFactory`
      Parameters:
        `size` - požadovaná kapacita struktury (max. počet prvků)
      Returns:
        nová vyhledávací struktura

    - #### createSearchableWithMedian

          public SearchableWithMedian createSearchableWithMedian(int size)

      Description copied from interface: `SearchableWithMedianFactory`
      Vyrobí vyhledávací strukturu vhodnou k hledání mediánu.
      Specified by:
        `createSearchableWithMedian` in interface `SearchableWithMedianFactory`
      Parameters:
        `size` - kapacita vyhledávací struktury (max. počet prvků)
      Returns:
        vyhledávací struktura vhodná k hledání mediánu